Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class FxSendCountEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.FxSendCountEvent

All Implemented Interfaces:
  java.io.Serializable

    public class FxSendCountEvent

extends java.util.EventObject

A semantic event which indicates that the number of effect sends on a particular sampler channel has changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FxSendCountEvent(java.lang.Object source, int channel, int count)` Constructs a `FxSendCountEvent` object.

Method Summary
`int` | `getChannel()` Gets the numerical ID of the sampler channel, which effect sends number has changed.
`int` | `getFxSendCount()` Gets the new number of effect sends.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FxSendCountEvent

    public FxSendCountEvent(java.lang.Object source,
                            int channel,
                            int count)

  Constructs a `FxSendCountEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `channel` - The numerical ID of the sampler channel, which effect sends number has changed.
    `count` - The new number of effect sends.

Method Detail

### getChannel

    public int getChannel()

  Gets the numerical ID of the sampler channel, which effect sends number has changed.

  Returns:
    The numerical ID of the sampler channel, which effect sends number has changed.

### getFxSendCount

    public int getFxSendCount()

  Gets the new number of effect sends.

  Returns:
    The new number of effect sends.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.